## ccache 3.6

=== debian/changelog ===
ccache (3.6-1) unstable; urgency=medium

  * New upstream release 3.6
  * Update debian/copyright to match ccache's LICENSE.adoc
  * Bump Standards-Version to 4.3.0 with no changes

 -- Joel Rosdahl <joel@debian.org>  Thu, 17 Jan 2019 22:05:24 +0100
