=== debian/control ===
Source: ccache
Section: devel
Priority: optional
Maintainer: Joel Rosdahl <joel@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, zlib1g-dev, dpkg-dev (>= 1.16.1~)
Standards-Version: 4.3.0
Homepage: https://ccache.samba.org

Package: ccache
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: distcc | icecc
Description: Compiler cache for fast recompilation of C/C++ code
 ccache is a compiler cache. It speeds up recompilation by caching
 previous compilations and detecting when the same compilation is
 being done again. Supported languages are C, C++, Objective-C and
 Objective-C++.
