## ccache 3.7.2

=== debian/changelog ===
ccache (3.7.2-3) unstable; urgency=medium

  * Source-only upload.

 -- Joel Rosdahl <joel@debian.org>  Sat, 03 Aug 2019 11:25:31 +0200

ccache (3.7.2-2) unstable; urgency=medium

  * Disable cleanup test that fails on compressed/encrypted file systems

 -- Joel Rosdahl <joel@debian.org>  Mon, 22 Jul 2019 22:01:48 +0200

ccache (3.7.2-1) unstable; urgency=medium

  * New upstream release 3.7.2
  * Bump to debhelper 12 and rewrite debian/rules to dh

 -- Joel Rosdahl <joel@debian.org>  Mon, 22 Jul 2019 20:51:39 +0200

ccache (3.7.1-1) unstable; urgency=medium

  * New upstream release 3.7.1
  * Update to new ccache web site
  * Update debian/watch to check ccache's GitHub releases page
  * Update debian/copyright to match ccache's LICENSE.adoc

 -- Joel Rosdahl <joel@debian.org>  Wed, 01 May 2019 22:06:18 +0200
