## ccache 3.7.3

=== debian/changelog ===
ccache (3.7.3-1) unstable; urgency=medium

  * New upstream release 3.7.3
  * Remove no longer needed disable_cleanup_size_limit_test.patch

 -- Joel Rosdahl <joel@debian.org>  Sun, 18 Aug 2019 19:08:19 +0200
