## ccache 3.7.7

=== debian/changelog ===
ccache (3.7.7-1) unstable; urgency=medium

  * New upstream release 3.7.7

 -- Joel Rosdahl <joel@debian.org>  Mon, 06 Jan 2020 17:12:10 +0100

ccache (3.7.6-1) unstable; urgency=medium

  * New upstream release 3.7.6
  * Fixes an upstream bug related to "file_macro sloppiness" and identical
    source files (closes: #944399)

 -- Joel Rosdahl <joel@debian.org>  Sun, 17 Nov 2019 20:57:28 +0100

ccache (3.7.5-1) unstable; urgency=medium

  * New upstream release 3.7.5

 -- Joel Rosdahl <joel@debian.org>  Wed, 23 Oct 2019 21:27:21 +0200

ccache (3.7.4-1) unstable; urgency=medium

  * New upstream release 3.7.4

 -- Joel Rosdahl <joel@debian.org>  Thu, 12 Sep 2019 21:43:24 +0200
