=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Joel Rosdahl <joel@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, zlib1g-dev, dpkg-dev (>= 1.16.1~)
-Standards-Version: 4.3.0
-Homepage: https://ccache.samba.org
+Build-Depends: debhelper-compat (= 12), zlib1g-dev, dpkg-dev (>= 1.16.1~)
+Standards-Version: 4.4.0
+Homepage: https://ccache.dev
 
 Package: ccache
 Architecture: any
