## ccache 3.7.11

=== debian/changelog ===
ccache (3.7.11-1) unstable; urgency=medium

  * New upstream release 3.7.11

 -- Joel Rosdahl <joel@debian.org>  Sun, 26 Jul 2020 17:34:16 +0200

ccache (3.7.10-1) unstable; urgency=medium

  * Add Vcs-Browser and Vcs-Git fields
  * New upstream release 3.7.10
  * Bump Standards-Version to 4.5.0 with no changes

 -- Joel Rosdahl <joel@debian.org>  Wed, 24 Jun 2020 19:39:30 +0200

ccache (3.7.9-1) unstable; urgency=medium

  * Add elfutils to Build-Depends
  * New upstream release 3.7.9
  * Bump Standards-Version to 4.4.1 with no changes

 -- Joel Rosdahl <joel@debian.org>  Sun, 29 Mar 2020 19:23:06 +0200
