## ccache 3.7.12

=== debian/changelog ===
ccache (3.7.12-1) unstable; urgency=medium

  * New upstream release 3.7.12
  * Keep symlinks in /usr/lib/ccache that are not dangling
  * Install symlink for nvcc (closes: #971834)

 -- Joel Rosdahl <joel@debian.org>  Fri, 09 Oct 2020 09:21:48 +0200
