=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Joel Rosdahl <joel@debian.org>
-Build-Depends: debhelper-compat (= 12), zlib1g-dev, dpkg-dev (>= 1.16.1~)
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12), zlib1g-dev, dpkg-dev (>= 1.16.1~), elfutils
+Standards-Version: 4.5.0
 Homepage: https://ccache.dev
+Vcs-Browser: https://salsa.debian.org/debian/ccache
+Vcs-Git: https://salsa.debian.org/debian/ccache.git
 
 Package: ccache
 Architecture: any
