## ccache 4.1

=== debian/changelog ===
ccache (4.1-1) unstable; urgency=medium

  * New upstream release 4.1
  * Use secure copyright file specification URI
  * Add upstream metadata
  * Update Build-Depends to match ccache 4.x requirements
  * Tweak package description
  * Update patch for Debian-specific installation instructions
  * Build all documentation by default
  * Set forwarded status for patches
  * Upgrade to debhelper compat level 13
  * Properly find documentation at new location
  * Update copyright

 -- Joel Rosdahl <joel@debian.org>  Tue, 24 Nov 2020 21:43:36 +0100
