=== debian/changelog ===
ccache (4.2-1) unstable; urgency=medium

  * New upstream release 4.2
  * Bump Standards-Version to 4.5.1 with no changes
  * Remove obsolete build_html_docs.patch

 -- Joel Rosdahl <joel@debian.org>  Sun, 07 Feb 2021 20:50:38 +0100
