=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joel Rosdahl <joel@debian.org>
 Build-Depends: debhelper-compat (= 13), zlib1g-dev, dpkg-dev (>= 1.16.1~), elfutils, cmake (>= 3.5), libzstd-dev (>= 1.1.2), asciidoc, docbook-xml, docbook-xsl
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://ccache.dev
 Vcs-Browser: https://salsa.debian.org/debian/ccache
 Vcs-Git: https://salsa.debian.org/debian/ccache.git
