=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 override_dh_install:
 	dh_install
 	sed s/%DEB_HOST_MULTIARCH%/$(DEB_HOST_MULTIARCH)/ debian/update-ccache-symlinks.in >debian/ccache/usr/sbin/update-ccache-symlinks
-
 
 override_dh_installdocs:
 	dh_installdocs
