## ccache 4.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -66,7 +66,9 @@
 message(STATUS "Ccache dev mode: ${CCACHE_DEV_MODE}")
 
 include(UseCcache)
-include(UseFastestLinker)
+if(NOT MSVC)
+  include(UseFastestLinker)
+endif()
 include(StandardSettings)
 include(StandardWarnings)
 include(CIBuildType)
