=== debian/changelog ===
ccache (4.2.1-0ubuntu1) impish; urgency=medium

  * New upstream version, fixing build with glibc 2.34.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 10 Aug 2021 13:09:19 +1200

ccache (4.2-1build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:10:38 +0000
