=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ccache
 Section: devel
 Priority: optional
-Maintainer: Joel Rosdahl <joel@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joel Rosdahl <joel@debian.org>
 Build-Depends: debhelper-compat (= 13), zlib1g-dev, dpkg-dev (>= 1.16.1~), elfutils, cmake (>= 3.5), libzstd-dev (>= 1.1.2), asciidoc, docbook-xml, docbook-xsl
 Standards-Version: 4.5.1
 Homepage: https://ccache.dev
