=== debian/changelog ===
ccache (4.5.1-1) unstable; urgency=medium

  * New upstream release 4.5.1

 -- Joel Rosdahl <joel@debian.org>  Wed, 17 Nov 2021 20:59:25 +0100

ccache (4.5-1) unstable; urgency=medium

  * Refer to common license file for CC0-1.0
  * New upstream release 4.5

 -- Joel Rosdahl <joel@debian.org>  Sat, 13 Nov 2021 16:05:58 +0100

ccache (4.4.2-1) unstable; urgency=high

  * New upstream release 4.4.2, with an important bug fix of a serious
    regression in ccache 4.4 where ccache could produce false direct cache
    hits in some situations if it decides to disable the direct mode
    temporarily (e.g. due to “too new header” file)
  * Remove now obsolete upstream patch for failing .incbin test

 -- Joel Rosdahl <joel@debian.org>  Wed, 29 Sep 2021 08:39:12 +0200

ccache (4.4-1) unstable; urgency=medium

  [ Gregor Jasny ]
  * Add Salsa CI build pipeline config
  * Add autopkgtest
  * Fix blhc CPPFLAGS warnings
  * Exclude time variation due to test failures

  [ Joel Rosdahl ]
  * New upstream release 4.4
  * Bump Standards-Version to 4.6.0 with no changes
  * Update Build-Depends to match ccache 4.4 requirements
  * Update debian_specific_usage_docs.patch to match new manual
  * Apply upstream patch for failing .incbin test with newer binutils
  * Update debian/copyright to match new release

 -- Joel Rosdahl <joel@debian.org>  Fri, 20 Aug 2021 21:44:19 +0200
