=== debian/control ===
Source: ccache
Section: devel
Priority: optional
Maintainer: Joel Rosdahl <joel@debian.org>
Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.1~), elfutils, cmake (>= 3.10), libzstd-dev (>= 1.1.2), libhiredis-dev (>= 0.14.1), asciidoctor
Standards-Version: 4.6.0
Homepage: https://ccache.dev
Vcs-Browser: https://salsa.debian.org/debian/ccache
Vcs-Git: https://salsa.debian.org/debian/ccache.git

Package: ccache
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: distcc | icecc
Description: Compiler cache for fast recompilation of C/C++ code
 Ccache is a compiler cache. It speeds up recompilation by caching
 previous compilations and detecting when the same compilation is
 being done again.
