## ccache 4.6

=== debian/changelog ===
ccache (4.6-1) unstable; urgency=medium

  * New upstream release 4.6
  * Update debian/copyright

 -- Joel Rosdahl <joel@debian.org>  Mon, 28 Feb 2022 19:36:53 +0100
