=== debian/changelog ===
ccache (4.6.1-1) unstable; urgency=medium

  * New upstream release 4.6.1 (closes: #1007732)
  * Update debian/copyright

 -- Joel Rosdahl <joel@debian.org>  Sun, 15 May 2022 21:48:25 +0200
