=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,11 +9,10 @@
   Hash.cpp
   Lockfile.cpp
   Logging.cpp
-  Manifest.cpp
   ProgressBar.cpp
   Result.cpp
-  ResultDumper.cpp
   ResultExtractor.cpp
+  ResultInspector.cpp
   ResultRetriever.cpp
   SignalHandler.cpp
   Stat.cpp
