=== debian/changelog ===
ccache (4.6.3-1) unstable; urgency=medium

  * New upstream release 4.6.3

 -- Joel Rosdahl <joel@debian.org>  Mon, 05 Sep 2022 15:05:41 +0200
